Bug 237501 - Missing dependencies
Summary: Missing dependencies
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ots   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 15:18 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.4.2-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 06:26:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-23 15:18:16 UTC
/usr/lib/libots-1.so is insufficiently linked. 

ldd -r /usr/lib/libots-1.so spits out lots of undefined symbols.

Comment 1 Peter Gordon 2007-04-25 05:25:57 UTC
Hmm. Thanks for the catch, Matthias. I think I've found the fix, but a mock will
tell me for sure. :)

Comment 2 Peter Gordon 2007-04-25 06:26:47 UTC
$ ldd -r /usr/lib64/libots-1.so
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaaacc8000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaaaaf66000)
        libc.so.6 => /lib64/libc.so.6 (0x00002aaaab2a4000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab5f5000)
        libz.so.1 => /lib64/libz.so.1 (0x00002aaaab7f9000)
        libm.so.6 => /lib64/libm.so.6 (0x00002aaaaba0d000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)

Ta-dah! No more unresolved symbols. :) 

It's fixed in 0.4.2-11, which should hit the next repository push. Thanks for
the bug report!





Note You need to log in before you can comment on or make changes to this bug.